Resolved Google wallet stopped working/Device doesn't meet security requirements


Status
Not open for further replies.

Aristin

Members
Nov 8, 2023
5
5
Hi everyone,

I am using POCO F3 (Alioth), with xiaomi.eu rom, not rooted.
Today, I paid for my lunch using my phone without issue. Around 30 minutes later, when I was trying to pay for another purchase, google wallet told me I can't because my device doesn't meet security requirements.

What I tried to fix it:
1) Update to latest ROM version using OTA
2) Check the dual apps, I do not have any enabled
3) Clear wallet and google services data
4) 'Restore NFC' functionality option
5) All three secure element positions, then again 'Restore NFC functionality'

None of the above worked. Attached are screenshots from SafetyNet/Integrity checkers and system info about my device.
Any tips how to resolve this issue are welcome.
Thank you for your time
Aristin
 

Attachments

  • Screenshot_2023-11-08-17-51-35-800_rikka.safetynetchecker.jpg
    Screenshot_2023-11-08-17-51-35-800_rikka.safetynetchecker.jpg
    88.3 KB · Views: 1,385
  • Screenshot_2023-11-08-17-52-05-208_com.flinkapps.safteynet.jpg
    Screenshot_2023-11-08-17-52-05-208_com.flinkapps.safteynet.jpg
    68 KB · Views: 1,760
  • Screenshot_2023-11-08-17-52-51-906_gr.nikolasspyr.integritycheck.jpg
    Screenshot_2023-11-08-17-52-51-906_gr.nikolasspyr.integritycheck.jpg
    51.7 KB · Views: 1,584
  • Screenshot_2023-11-08-17-54-25-029_com.android.settings.jpg
    Screenshot_2023-11-08-17-54-25-029_com.android.settings.jpg
    93.7 KB · Views: 1,544
  • Screenshot_2023-11-08-17-55-10-316_com.android.settings.jpg
    Screenshot_2023-11-08-17-55-10-316_com.android.settings.jpg
    109.3 KB · Views: 1,384
Hi everyone,

I am using POCO F3 (Alioth), with xiaomi.eu rom, not rooted.
Today, I paid for my lunch using my phone without issue. Around 30 minutes later, when I was trying to pay for another purchase, google wallet told me I can't because my device doesn't meet security requirements.

What I tried to fix it:
1) Update to latest ROM version using OTA
2) Check the dual apps, I do not have any enabled
3) Clear wallet and google services data
4) 'Restore NFC' functionality option
5) All three secure element positions, then again 'Restore NFC functionality'

None of the above worked. Attached are screenshots from SafetyNet/Integrity checkers and system info about my device.
Any tips how to resolve this issue are welcome.
Thank you for your time
Aristin
Easiest way to try would be root and https://github.com/chiteroman/PlayIntegrityFix . I'm using IceBox to freeze hidden/renamed Magisk when using banking apps. No guarantee thats works. Other option is to lock bootloader and install stock ROM. Still no guarantee
 
Easiest way to try would be root and https://github.com/chiteroman/PlayIntegrityFix . I'm using IceBox to freeze hidden/renamed Magisk when using banking apps. No guarantee thats works. Other option is to lock bootloader and install stock ROM. Still no guarantee
Thank you for replying. I am considering rooting or wiping and reflashing, but I would prefer less invasive solution, if there is any. I would like to avoid using stock ROM and locking bootloader, so I am saving that as a last option.
 
Google is messing with Play Integrity today. It affected almost all custom ROMs, not only us...
That's an important piece of information for me, thank you. Does that mean there is a chance future rom update will solve this? I do not mind waiting if that means I don't have to give in to google bullying tactics.
 
  • Like
Reactions: jrk11 and antoniab
I can confirm the same on mi 11 ultra 14.0.11.0.
I was trying to add another card in my wallet.
I didn't try today to pay with the phone so I don't know if already added cards still work.
Is there a dedicated thread to this issue so we can track?
 
  • Like
Reactions: chiteroman
Hi everyone,

I am using POCO F3 (Alioth), with xiaomi.eu rom, not rooted.
Today, I paid for my lunch using my phone without issue. Around 30 minutes later, when I was trying to pay for another purchase, google wallet told me I can't because my device doesn't meet security requirements.

What I tried to fix it:
1) Update to latest ROM version using OTA
2) Check the dual apps, I do not have any enabled
3) Clear wallet and google services data
4) 'Restore NFC' functionality option
5) All three secure element positions, then again 'Restore NFC functionality'

None of the above worked. Attached are screenshots from SafetyNet/Integrity checkers and system info about my device.
Any tips how to resolve this issue are welcome.
Thank you for your time
Aristin
I had also having same issue this morning, I can't pay using google pay.
 
П Mi11 also has a problem with Google Pay. I believe that you need to update the firmware with the necessary patch or update to hyper os with a solution to this problem. Will this be possible?
 
Can confirm I have also been affected the same way with my Redmi Note 12 Turbo (Marble) running 14.0.25.0.TMRCNXM
Hoping for a fix via update
 
  • Like
Reactions: Gralfitox
Same thing here with Marble on latest. Failed CTS on HARDWARE_BACKED SafetyNet and DEVICE_INTERGRITY on Play Intergrity.
 
Last edited:
Same with mi mi 10 Ultra, with the latest EU MIUI available. Hope is something temporal..
 
For what it's worth, this is yet another Xiaomi 13 global on 14.0.31.0.TMCCNXM ROM running into the 'Your phone doesn't meet security requirements' issue.
 
Status
Not open for further replies.